<# env_conf contains a function that creates an object.
The object contains all the required settings to run the script.
The values in the script are examples. Replace them with values provided by your administrator.#>

<# The function encapsulates all the info related to connection to your eLegere installation, the email SMTP, and the Library folder.#>

function getConf(){
    $confProperties = @{
        #SqlConnectionString = Connection String to connect to the database's machine. Ask to your admin.
        SqlConnectionString = "[Insert here Connection String]" 
        # HostBaseUrl = Your eLegere's installation URL 
        HostBaseUrl 		= "https://myserver.com/" 
        # Secret Access Key to access the HostBaseURL. Ask to your admin.
        HostSecretKey 		= "[Insert here the access key.]"
        # Parameters for the SMTP that will send the email
        MailServer 			= "[Insert STMP server here.]" 
        MailPort 			= 587
        MailEnableSSL 		= $true
        MailUsername 		= "your.email@provider.com"
        MailPassword		= "[Insert password here.]"
        MailFrom 			= "[Insert sender's email here.]"
        # The database's schema 
        CommonSchema		= "[Insert the SQL schema here.]"
        # Folder containing the Baseline.Common.Management.dll dependency
        LibrariesFolderName = "Libraries"
    }
    # The function creates a Powershell object containing all the required info and returns it. 
    $conf = New-Object -TypeName psobject -Property $confProperties
    return $conf
}